Summary: A client for RADIUS servers.
Name: portslave
Version: 1.2.0pre12
Release: 11
Copyright: GPL/BSD
Source0: ftp://ftp.psychosis.com/linux/portslave/portslave-%{version}.tar.gz
Source1: server.cfg
Source2: README.redhat
Url: http://portslave.linuxrouter.org/
Patch0: portslave-1.2pre12.patch
Patch1: portslave-1.2-init.patch
Group: Applications/System
Obsoletes: portslave-cistron
Buildroot: %{_tmppath}/%{name}-root
ExclusiveArch: i386 
Requires: radiusd-cistron
PreReq: /sbin/chkconfig , /sbin/service 

%description
A RADIUS system works by storing security information in a central
location (the RADIUS server, which is provided in the radiusd-cistron
package). Portslave is a RADIUS client, which communicates with the
server to authenticate users.

%prep
%setup -q -n portslave-%{version}
%patch0 -p1 -b .orig
%patch1 -p1 -b .init

%build
(cd src && make RPM_OPTS="$RPM_OPT_FLAGS")
(cd libpsr && make RPM_OPTS="$RPM_OPT_FLAGS")
(cd ppp-2.3.8-radius/pppd && make RPM_OPTS="$RPM_OPT_FLAGS")
(cd rlogin-8.10/ && make  RPM_OPTS="$RPM_OPT_FLAGS" )

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/port-slave}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 -s src/portslave $RPM_BUILD_ROOT/usr/bin
install -m 755 -s src/radinit	$RPM_BUILD_ROOT/usr/bin 
install -m 755 -s src/ctlportslave $RPM_BUILD_ROOT/usr/bin 
install -m 644 libpsr/libpsr.so $RPM_BUILD_ROOT/usr/lib
install -m 755 ppp-2.3.8-radius/pppd/pppd-radius $RPM_BUILD_ROOT/usr/lib/port-slave/pppd
install -m 755 rlogin-8.10/rlogin-radius $RPM_BUILD_ROOT/usr/lib/port-slave/rlogin
install -m 755 src/radinit.sh  $RPM_BUILD_ROOT/etc/rc.d/init.d/radinit
install -m 644 $RPM_SOURCE_DIR/server.cfg 	$RPM_BUILD_ROOT/etc

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/chkconfig --add radinit

%preun
if [ "$1" = "0" ]; then
	/sbin/service radinit stop > /dev/null 2>&1
	/sbin/chkconfig --del radinit
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service radinit condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE MAINTAINERS README README-1.2.0pre12 README.NET
%doc README.PPPD README_1.2.0 TODO $RPM_SOURCE_DIR/README.redhat
%config /etc/server.cfg
%config /etc/rc.d/init.d/radinit
/usr/bin/portslave 
/usr/bin/radinit 
/usr/bin/ctlportslave 
/usr/lib/port-slave
/usr/lib/libpsr.so


%changelog
* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- fixed bug #15137, edited server.cfg to reflect the change in dirs from the
  broken /usr/bin/port-slave to /usr/lib/port-slave

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add missing restart function in startup script
- add %config to startup script
- use %%{_tmppath}
- fix typo in startup script

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed condrestart in the initscript so that it doesn't return 1 when the
  test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Tim Powers <timp@redhat.com>
- fixed initscript to have the backslash in the description sction

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits back to rc.d/init.d, using /sbin/service to start inits

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed PreReq to PreReq /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- fixed initscript so that it's chkconfig friendly
- fixed location of init.d to be /etc/init.d
- added post,preun and postun sections
- added PreReq's

* Thu May 18 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Tue Nov 23 1999 Tim Powers <timp@redhat.com>
- updated to 1.2.0pre12
- cleaned up spec file a bit
- quiet setup

* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- update to 1.2.0pre6

* Wed Sep 24 1998 Michael Maher <mike@redhat.com>
- built package
